Bug 847529 - Network icon disappears in gnome shell and eventually networking stops.
Network icon disappears in gnome shell and eventually networking stops.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
16
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-12 13:10 EDT by Richard Shaw
Modified: 2013-02-13 08:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 08:56:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Shaw 2012-08-12 13:10:34 EDT
Description of problem:
The network applet disappears at some point and a while later networking stops all together.

Additionally I can not remote ssh into the machine after a period of time even though outbound connections continue to work until all networking ceases.

Networking has been problematic on this laptop (Atheros chip, ath9k driver) since F15.

Restarting NetworkManager sometimes fixes the problem, but not always, sometimes dbus appears to die.


Version-Release number of selected component (if applicable):
# rpm -qa | grep NetworkManager
NetworkManager-glib-0.9.4-6.git20120521.fc16.x86_64
NetworkManager-vpnc-0.9.0-1.fc16.x86_64
NetworkManager-openconnect-0.9.4.0-7.git20120612.fc16.x86_64
NetworkManager-gnome-0.9.4-6.git20120521.fc16.x86_64
NetworkManager-openvpn-0.9.0-1.fc16.x86_64
NetworkManager-gtk-0.9.4-6.git20120521.fc16.x86_64
NetworkManager-0.9.4-6.git20120521.fc16.x86_64
NetworkManager-pptp-0.9.0-1.fc16.x86_64

How reproducible:
Every time


Steps to Reproduce:
1. Reboot and login
2. use system normally
  
Actual results:
gnome shell nm applet disappears and later networking fails.


Expected results:
Networking continues to work normally.


Additional info:

# uname -r
3.4.7-1.fc16.x86_64

/var/log/messages snippet:
Aug 12 11:52:33 ladyhobbes dbus[1604]: [system] Successfully activated service 'org.freedesktop.PackageKit'
Aug 12 11:52:33 ladyhobbes dbus-daemon[1604]: dbus[1604]: [system] Successfully activated service 'org.freedesktop.PackageKit'
Aug 12 11:52:33 ladyhobbes dbus-daemon[1604]: (packagekitd:3858): GLib-CRITICAL **: g_ptr_array_foreach: assertion `array' failed
Aug 12 11:52:33 ladyhobbes dbus-daemon[1604]: (packagekitd:3858): GLib-CRITICAL **: g_ptr_array_free: assertion `array' failed
Aug 12 11:52:52 ladyhobbes NetworkManager[999]: dbus_g_proxy_begin_call: assertion `!DBUS_G_PROXY_DESTROYED (proxy)' failed
Aug 12 11:52:52 ladyhobbes NetworkManager[999]: nm_supplicant_info_set_call: assertion `call != NULL' failed
Aug 12 11:53:35 ladyhobbes NetworkManager[999]: dbus_g_proxy_begin_call: assertion `!DBUS_G_PROXY_DESTROYED (proxy)' failed
Aug 12 11:53:35 ladyhobbes NetworkManager[999]: nm_supplicant_info_set_call: assertion `call != NULL' failed
Aug 12 11:54:18 ladyhobbes NetworkManager[999]: dbus_g_proxy_begin_call: assertion `!DBUS_G_PROXY_DESTROYED (proxy)' failed
Aug 12 11:54:18 ladyhobbes NetworkManager[999]: nm_supplicant_info_set_call: assertion `call != NULL' failed
Comment 1 Jan Pazdziora 2012-08-26 13:58:56 EDT
Confirming. Restarting the NetworkManager service helped to bring the icon and get the network back to working, at least for now.
Comment 2 Fedora End Of Life 2013-01-16 08:14:10 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 08:56:26 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.